POST api/mediwaveprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediWaveProgramStepViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

Range: inclusive between 0 and ∞

id

globally unique identifier

None.

program_id

globally unique identifier

Required

mediwave_program_step_type_id

globally unique identifier

Required

name

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "cedc987a-6cc9-4f38-8626-89ede8036c63",
  "program_id": "622b477b-f776-4528-b2c8-5555a7233a36",
  "mediwave_program_step_type_id": "732ed747-cc6f-4405-b20b-145ef49fe5a0",
  "name": "sample string 6"
}

application/xml, text/xml

Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <id>cedc987a-6cc9-4f38-8626-89ede8036c63</id>
  <mediwave_program_step_type_id>732ed747-cc6f-4405-b20b-145ef49fe5a0</mediwave_program_step_type_id>
  <name>sample string 6</name>
  <program_id>622b477b-f776-4528-b2c8-5555a7233a36</program_id>
</mediwave_program_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"0187b08e-0a1b-4f52-b92f-d64d0010a34a"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0187b08e-0a1b-4f52-b92f-d64d0010a34a</guid>